{% extends 'admin/base_admin.html.twig' %}

{% block title %}Users{% endblock %}
{% block breadcrumbs %}
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{{ path('admin.users') }}">Home</a></li>
        <li class="breadcrumb-item active">Products</li>
    </ol>
{% endblock %}

{% block body %}

    <div class="card">
        <div class="card-body">
            <div class="controls">
                <a href="{{ path('admin.products.create') }}" class="btn btn-success">Create Product</a>
            </div>

            {{ form_start(form) }}
            <div class="row">
                <div class="col-md-2">{{ form_widget(form.name) }}</div>
                <div class="col-md-2">{{ form_widget(form.price) }}</div>
                <div class="col-md-2">{{ form_widget(form.sex) }}</div>
                <div class="col-md-2">{{ form_widget(form.color) }}</div>
                <div class="col-md-2">{{ form_widget(form.size) }}</div>
                <div class="col-md-2">{{ form_widget(form.season) }}</div>
                <div class="col-md-2">{{ form_widget(form.category) }}</div>
                <div class="col-md-2">{{ form_widget(form.subcategory) }}</div>
                <div class="col-md-2">{{ form_widget(form.brand) }}</div>
                <div class="col-md-2">
                    <button type="submit" class="btn btn-primary">Filter</button>
                    <a href="{{ path('admin.products') }}" class="btn btn-outline-secondary">Reset</a>
                </div>
            </div>
            {{ form_end(form) }}

        </div>
    </div>

    <div class="card">
        <div class="card-body">

            <div class="box">
                <table class="table table-bordered table-hover">
                    <thead>
                    <tr>
                        <th>{{ knp_pagination_sortable(pagination, 'Name', 'name') }}</th>
                        <th>Description</th>
                        <th>{{ knp_pagination_sortable(pagination, 'Price', 'price') }}</th>
                        <th>{{ knp_pagination_sortable(pagination, 'Sex', 'sex') }}</th>
                        <th>{{ knp_pagination_sortable(pagination, 'Color', 'color') }}</th>
                        <th>{{ knp_pagination_sortable(pagination, 'Size', 'size') }}</th>
                        <th>{{ knp_pagination_sortable(pagination, 'Season', 'season') }}</th>
                        <th>{{ knp_pagination_sortable(pagination, 'Category', 'category') }}</th>
                        <th>{{ knp_pagination_sortable(pagination, 'Brand', 'brand') }}</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for product in pagination %}
                        <tr>
                            <td><a href="{{ path('admin.products.show', {'id': product.id}) }}">{{ product.name }}</a></td>
                            <td>{{ product.description|slice(0, 10) ~ '...' }}</td>
                            <td>{{ product.price }}</td>
                            <td>{{ product.sex }}</td>
                            <td>{{ product.color }}</td>
                            <td>{{ product.size }}</td>
                            <td>{{ product.season }}</td>
                            <td>{{ product.category_name }}</td>
                            <td>{{ product.brand_name }}</td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>

            <div class="navigation">
                {{ knp_pagination_render(pagination) }}
            </div>
        </div>
    </div>

    <script src="//ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
{% endblock %}

{% block javascripts %}
    <script>
        let $category = $('#form_category');
        $category.change(function() {
            let $form = $(this).closest('form');
            let data = {};
            data[$category.attr('name')] = $category.val();
            $.ajax({
                url : $form.attr('action'),
                type: $form.attr('method'),
                data : data,
                success: function(html) {
                    $('#form_subcategory').replaceWith(
                        $(html).find('#form_subcategory')
                    );
                }
            });
        });
    </script>
{% endblock %}